Subject: bug#39888: [Feature Request] Add a guile-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 21 Jan 2021 17:15:10 +0100

sirgazil <[email-masked]> writes:

> In essence, I would like to have, by default, what is already provided
> by the following Emacs-related projects:
>
> + geiser
> + paredit
> + rainbow-delimiters
> + flycheck (Guile Studio has a Guile Scheme checker)
>
> Additionally, I'd like to have the following features that I think are missing:
>
> + Warn about unused imported modules.
> + Make symbols of newly imported modules available automatically for
> auto-complete, show symbol documentation, jump to definition, etc.
>
> So, when visiting a Guile Scheme file, I'd like to have these tools
> available automatically, as if I were using an IDE.

This feature request (if I understand it correctly) is about adding more
packages to the Emacs tree -- but we don't really do that for packages
like this that are already in some ELPA or other.  (But with the
gnu-elpa package, Emacs will offer to load packages automatically, which
may help.)

The other part of the request (warn about unused modules) etc are
somewhat vague, and probably won't lead to any progress by having open
in the Emacs issue tracker, so I'm closing this feature request.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no